Subject: Re: Interaction between clean/smudge and git status

From: Johannes Sixt <[email-masked]>
Date: Mon, 14 Apr 2008 09:21:43 +0200

Junio C Hamano schrieb:
> Johannes Sixt <[email-masked]> writes:
>> I've observed this, too, and I don't think it is expected behavior. But it
>> hasn't annoyed me enough to look at it in depth. Eventually I will, and I
>> hope to find out what's wrong. ;)
> 
> Are you recreating the .zip file in the filter in such a way that a file
> with the same contents results in byte-to-byte identical .zip file?
> Otherwise as far as git is concerned you have changed the file in the work
> tree.

In my case, there is only a "clean" filter, and it rearranges the lines of
a particular type of text files in a canonical way. Hmm, I can't reproduce
the unwanted behavior in quick test now. I'll come back to this issue if
it shows up again.

-- Hannes